/**
 * @file
 * Share button.
 */

(function (Drupal) {
  'use strict';

  var initialized;

  Drupal.behaviors.mnShare = {
    attach: function (context, settings) {
      if (!initialized) {
        initialized = true;
        var button = document.querySelector('.mn-share-button');
        // navigator.share = {};
        if (navigator.share) {
          button.addEventListener('click', function (element) {
            var url = element.toElement.getAttribute('data-url');
            var title = element.toElement.getAttribute('data-title');
            var description = element.toElement.getAttribute('data-description');
            navigator.share({
              title: title,
              text: description,
              url: url,
            });
          });
        }
        else {
          button.classList.add('visually-hidden');
        }
      }
    }
  }

})(Drupal);
